<?php
/**
 * Accounts link Settings.
 *
 * Register settings and fields for account links settings.
 *
 * @package  my-account-page-editor
 */
add_settings_section(
	'kamy_account_settings_sec', // ID used to identify this section and with which to register options.
	__( 'Account Custom Links', 'ka-my-acc' ),   // Title to be displayed on the administration page.
	'kamy_account_sec_cb', // Callback used to render the description of the section.
	'kamy_account_links_page'      // Page on which to add this section of options.
);
add_settings_field(
	'kamy_enable_account', 
	esc_html__( 'Enable Account Links :', 'ka-my-acc' ), 
	'kamy_enable_account_callback',  
	'kamy_account_links_page' ,
	'kamy_account_settings_sec'
);
register_setting(
	'kamy_account_links_settings', 'kamy_enable_account');
add_settings_field(
	'kamy_manage_account', 
	esc_html__( 'Manage Account Links :', 'ka-my-acc' ), 
	'kamy_manage_account_callback',  
	'kamy_account_links_page', 
	'kamy_account_settings_sec'
);
register_setting(
	'kamy_account_links_settings', 'kamy_manage_account');
add_settings_section(
	'kamy_affiliate_settings_sec', // ID used to identify this section and with which to register options.
	__( 'Affiliate Custom Link', 'ka-my-acc' ),   // Title to be displayed on the administration page.
	'kamy_affiliate_sec_cb', // Callback used to render the description of the section.
	'kamy_account_links_page'      // Page on which to add this section of options.
);
add_settings_field(
	'kamy_enable_affiliate_account_links', 
	esc_html__( 'Enable Affiliate Account Links :', 'ka-my-acc' ), 
	'kamy_enable_affiliate_callback',  
	'kamy_account_links_page', 
	'kamy_affiliate_settings_sec'
);
register_setting(
	'kamy_account_links_settings', 'kamy_enable_affiliate_account_links');
add_settings_field(
	'Kamy_manage_affiliate_account', 
	esc_html__( 'Manage Affiliate Links :', 'ka-my-acc' ), 
	'kamy_manage_affiliate_account_cb',  
	'kamy_account_links_page', 
	'kamy_affiliate_settings_sec'
);
register_setting(
	'kamy_account_links_settings', 'Kamy_manage_affiliate_account');

function kamy_affiliate_sec_cb() {
}
function kamy_enable_affiliate_callback() {
	$value   = get_option( 'kamy_enable_affiliate_account_links' );
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_enable_affiliate_account_links" name="kamy_enable_affiliate_account_links" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_manage_affiliate_account_cb() {
	$value = (array) get_option( 'Kamy_manage_affiliate_account' );
	?>

	<table class="kamy-affiliate-links-detail">

		<thead>
			<th><?php echo esc_html__( 'Name', 'ka-my-acc' ); ?></th>
			<th><?php echo esc_html__( 'End Point Link', 'ka-my-acc' ); ?></th>
			<th><?php echo esc_html__( 'Icon Class', 'ka-my-acc' ); ?></th>
			<th><?php echo esc_html__( 'Actions', 'ka-my-acc' ); ?></th>
		</thead>
		<tbody>
			<?php
			foreach ( $value as $index => $kamy_affiliate_detail_arr ) {
				if ( ! is_array( $kamy_affiliate_detail_arr ) || ! isset( $kamy_affiliate_detail_arr['affiliate_name'] ) ) {
					continue;
				}
				?>
				<tr class="kamy-affiliate-link-detail_row" data-index='<?php echo esc_attr( $index ); ?>'>
					<td>
						<input type="text" name="Kamy_manage_affiliate_account[<?php echo esc_attr( $index ); ?>][affiliate_name]" value="<?php echo esc_attr( isset( $kamy_affiliate_detail_arr['affiliate_name'] ) ? $kamy_affiliate_detail_arr['affiliate_name'] : '' ); ?>" />
					</td>
					<td>
						<input type="text" name="Kamy_manage_affiliate_account[<?php echo esc_attr( $index ); ?>][affiliate_link]" value="<?php echo esc_attr( isset( $kamy_affiliate_detail_arr['affiliate_link'] ) ? $kamy_affiliate_detail_arr['affiliate_link'] : '' ); ?>" />
					</td>
					<td>
						<input type="text" name="Kamy_manage_affiliate_account[<?php echo esc_attr( $index ); ?>][affiliate-icon-class]" value="<?php echo esc_attr( isset( $kamy_affiliate_detail_arr['affiliate-icon-class'] ) ? $kamy_affiliate_detail_arr['affiliate-icon-class'] : '' ); ?>">
					</td>
					<td><i class="fa fa-trash Kamy-mape-delete-account-detail"></i></td>
				</tr>

			<?php } ?>

		</tbody>
	</table>
	<p class="icon">
    <a href="https://fontawesome.com/search" target="_blank">
        Font Awesome 6.5.2 CSS
    </a> 
    - This link provides access to the Font Awesome icon library, where you can search for and select icons to use in the 'Icon Class' field above.
</p>
	<i class="button" id="kamy_manage_affiliate_add_btn"><?php echo esc_html__( 'Add New', 'ka-my-acc' ); ?></i>
	<?php
}
function kamy_account_sec_cb() {
}
function kamy_enable_account_callback() {
	$value   = get_option( 'kamy_enable_account' );
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_enable_account" name="kamy_enable_account" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_manage_account_callback() {
	$value = (array) get_option( 'kamy_manage_account' );
	?>

	<table class="Ka-my-account-links-detail">

		<thead>
			<th><?php echo esc_html__( 'Name', 'ka-my-acc' ); ?></th>
			<th><?php echo esc_html__( 'End Points Link', 'ka-my-acc' ); ?></th>
			<th><?php echo esc_html__( 'Icon Class', 'ka-my-acc' ); ?></th>
			<th><?php echo esc_html__( 'Actions', 'ka-my-acc' ); ?></th>
		</thead>
		<tbody>
			<?php
			foreach ( $value as $index => $account_detail_arr ) {
				if ( ! is_array( $account_detail_arr ) || ! isset( $account_detail_arr['account_name'] ) ) {
					continue;
				}
				?>
				<tr class="Ka-accounts-link-detail" data-index='<?php echo esc_attr( $index ); ?>'>
					<td>
						<input type="text" name="kamy_manage_account[<?php echo esc_attr( $index ); ?>][account_name]" value="<?php echo esc_attr( isset( $account_detail_arr['account_name'] ) ? $account_detail_arr['account_name'] : '' ); ?>" />
					</td>
					<td>
						<input type="text" name="kamy_manage_account[<?php echo esc_attr( $index ); ?>][account_link]" value="<?php echo esc_attr( isset( $account_detail_arr['account_link'] ) ? $account_detail_arr['account_link'] : '' ); ?>" />
					</td>
					<td>
						<input type="text" name="kamy_manage_account[<?php echo esc_attr( $index ); ?>][Kamy-icon-class]" value="<?php echo esc_attr( isset( $account_detail_arr['Kamy-icon-class'] ) ? $account_detail_arr['Kamy-icon-class'] : '' ); ?>">
					</td>
					<td><i class="fa fa-trash Ka-mape-delete-account-detail"></i></td>
				</tr>


			<?php } ?>

		</tbody>
	</table>
	<p class="icon">
    <a href="https://fontawesome.com/search" target="_blank">
        Font Awesome 6.5.2 CSS
    </a> 
    - This link provides access to the Font Awesome icon library, where you can search for and select icons to use in the 'Icon Class' field above.
</p>

	<i class="button" id="kamy_manage_account"><?php echo esc_html__( 'Add New', 'ka-my-acc' ); ?></i>


	<?php
}