<?php
/**
 * Dashboard Settings.
 *
 * Register settings and fields for dashboard settings.
 *
 * @package  my-account-page-editor
 */

add_settings_section(
	'kamy_dashboad_settings_sec', // ID used to identify this section and with which to register options.
	__( 'General Settings', 'ka-my-acc' ),   // Title to be displayed on the administration page.
	'kamy_dashboad_settings_sec_cb', // Callback used to render the description of the section.
	'kamy_dashboard_setting_page'      // Page on which to add this section of options.
);
add_settings_field(
	'kamy_page_title', 
	esc_html__( 'Page Title :', 'ka-my-acc' ), 
	'kamy_page_title_callback',  
	'kamy_dashboard_setting_page', 
	'kamy_dashboad_settings_sec'
);
register_setting(
	'kamy_dashboard_setting', 'kamy_page_title');
add_settings_field(
	'kamy_enable_dashboard', 
	esc_html__( 'Enable Dashboard:', 'ka-my-acc' ), 
	'kamy_enable_dashboard',  
	'kamy_dashboard_setting_page', 
	'kamy_dashboad_settings_sec'
);
register_setting(
	'kamy_dashboard_setting', 'kamy_enable_dashboard');
add_settings_section(
	'kamy_display_widgets_section',
	__( 'Display Tables Panels', 'ka-my-acc' ),
	'kamy_display_widgets_section_cb',
	'kamy_dashboard_setting_page'
);
add_settings_field(
	'kamy_total_orders',
	esc_html__( 'Total Orders', 'ka-my-acc' ),
	'kamy_total_orders_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_total_orders' );
add_settings_field(
	'kamy_pending_orders',
	esc_html__( 'Pending Orders', 'ka-my-acc' ),
	'kamy_pending_orders_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_pending_orders' );
add_settings_field(
	'kamy_total_refund',
	esc_html__( 'Total Refunds', 'ka-my-acc' ),
	'kamy_total_refund_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_total_refund' );
add_settings_field(
	'kamy_total_wishlist',
	esc_html__( 'Total Wishlists', 'ka-my-acc' ),
	'kamy_total_wishlist_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_total_wishlist' );
add_settings_field(
	'kamy_total_Downloads',
	esc_html__( 'Total Downloads', 'ka-my-acc' ),
	'kamy_total_Downloads',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_total_Downloads' );
add_settings_field(
	'kamy_Reward_points',
	esc_html__( 'Total Reward Points', 'ka-my-acc' ),
	'kamy_Reward_points',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_Reward_points' );
add_settings_field(
	'kamy_total_transactions',
	esc_html__( 'Total Transactions', 'ka-my-acc' ),
	'kamy_total_transactions',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_total_transactions' );
add_settings_field(
	'kamy_enable_profile_image',
	esc_html__( 'Enable Custom Avatar', 'ka-my-acc' ),
	'kamy_enable_profile_image_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_enable_profile_image' );
add_settings_field(
	'kamy_latest_order',
	esc_html__( 'Latest Order', 'ka-my-acc' ),
	'kamy_latest_order_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_latest_order' );
add_settings_field(
	'kamy_enable_pie_chart',
	esc_html__( 'Enable Pie Chart', 'ka-my-acc' ),
	'kamy_enable_pie_chart_cb',
	'kamy_dashboard_setting_page',
	'kamy_display_widgets_section'
);
register_setting( 'kamy_dashboard_setting', 'kamy_enable_pie_chart' );
function kamy_dashboad_settings_sec_cb() {
}
function kamy_page_title_callback() {
	$value = get_option( 'kamy_page_title', 'My Account Page' ); 
	?>

	<input type="text" id="kamy_page_title" name="kamy_page_title" value="<?php echo esc_attr( $value ); ?>" class="kamy-admin-field">
	<p><?php esc_html_e( 'Enter dashboard page title.' ); ?></p>
	<?php
}


function kamy_display_widgets_section_cb() {
}
function kamy_total_orders_cb() {
	$value   = get_option( 'kamy_total_orders' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_total_orders" name="kamy_total_orders" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_pending_orders_cb() {
	$value   = get_option( 'kamy_pending_orders' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_pending_orders" name="kamy_pending_orders" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_total_refund_cb() {
	$value   = get_option( 'kamy_total_refund' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_total_refund" name="kamy_total_refund" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_total_wishlist_cb() {
	$value   = get_option( 'kamy_total_wishlist' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_total_wishlist" name="kamy_total_wishlist" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_enable_dashboard() {
    $value = get_option('kamy_enable_dashboard', 1);
    $checked = checked($value, 1, false);
    ?>
    <input type="checkbox" id="kamy_enable_dashboard" name="kamy_enable_dashboard" value="1" <?php echo esc_attr($checked); ?> class="kamy-admin-field">
    <?php
}
function kamy_total_Downloads() {
	$value   = get_option( 'kamy_total_Downloads' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_total_Downloads" name="kamy_total_Downloads" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_Reward_points() {
	$value   = get_option( 'kamy_Reward_points' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_Reward_points" name="kamy_Reward_points" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_total_transactions() {
	$value   = get_option( 'kamy_total_transactions' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_total_transactions" name="kamy_total_transactions" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_latest_order_cb() {
	$value   = get_option( 'kamy_latest_order' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_latest_order" name="kamy_latest_order" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_enable_profile_image_cb() {
	$value   = get_option( 'kamy_enable_profile_image' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_enable_profile_image" name="kamy_enable_profile_image" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
function kamy_enable_pie_chart_cb() {
	$value = get_option( 'kamy_enable_pie_chart' );
	if ( false === $value ) {
		$value = 1;
	}
	$checked = checked( $value, 1, false );
	?>
	<input type="checkbox" id="kamy_enable_pie_chart" name="kamy_enable_pie_chart" value="1" <?php echo esc_attr( $checked ); ?> class="kamy-admin-field">
	<?php
}
