<?php
/**
 * Design setting
 *
 * Register settings and fields for design settings.
 *
 * @package  my-account-page-editor
 */
add_settings_section(
	'kamy_design_settings_sec', // ID used to identify this section and with which to register options.
	__( 'Design', 'ka-my-acc' ),   // Title to be displayed on the administration page.
	'kamy_design_settings_sec_cb', // Callback used to render the description of the section.
	'kamy_design_setting_page'      // Page on which to add this section of options.
);
add_settings_field(
	'kamy_custom_css', 
	esc_html__( 'Custom CSS:', 'ka-my-acc' ), 
	'kamy_design_custom_callback',  
	'kamy_design_setting_page', 
	'kamy_design_settings_sec'
);
register_setting(
	'kamy_design_setting', 'kamy_custom_css');
add_settings_field(
	'kamy_theme_background', 
	esc_html__( 'Theme Background Color:', 'ka-my-acc' ), 
	'kamy_theme_background',  
	'kamy_design_setting_page', 
	'kamy_design_settings_sec'
);
register_setting(
	'kamy_design_setting', 'kamy_theme_background');
add_settings_field(
	'kamy_theme_Color', 
	esc_html__( 'Theme  Color:', 'ka-my-acc' ), 
	'kamy_theme_Color',  
	'kamy_design_setting_page', 
	'kamy_design_settings_sec'
);
register_setting(
	'kamy_design_setting', 'kamy_theme_Color');
add_settings_field(
	'kamy_background_hover_Color', 
	esc_html__( 'Background Hover Color:', 'ka-my-acc' ), 
	'kamy_background_hover_Color',  
	'kamy_design_setting_page', 
	'kamy_design_settings_sec'
);
register_setting(
	'kamy_design_setting', 'kamy_background_hover_Color');
function kamy_design_settings_sec_cb() {
}
function kamy_design_custom_callback() {
	$kamy_custom_css = get_option( 'kamy_custom_css' );
	?>
	<textarea name="kamy_custom_css" id="kamy_custom_css" rows="10" cols="80" class="kamy-admin-field" placeholder="Custom CSS"><?php echo esc_textarea( $kamy_custom_css ); ?></textarea>
	<?php
}
function kamy_theme_background() {
	$kamy_them_bg_color = get_option( 'kamy_theme_background' );
	$default_color = '#003b99';
	$kamy_bg_color = empty( $kamy_them_bg_color ) ? $default_color : $kamy_them_bg_color;
	?>
	<input type="color" name="kamy_theme_background" id="kamy_theme_background" class="kamy_color_picker" value="<?php echo esc_attr( $kamy_bg_color ); ?>">
	<?php
}
function kamy_theme_Color() {
	$kamy_theme_color = get_option( 'kamy_theme_Color' );
	$default_color = '#fff';
	$kamy_theme_color = empty( $kamy_theme_color ) ? $default_color : $kamy_theme_color;
	?>
	<input type="color" name="kamy_theme_Color" id="kamy_theme_Color" class="kamy_color_picker" value="<?php echo esc_attr( $kamy_theme_color ); ?>">
	<?php
}
function kamy_background_hover_Color() {
	$kamy_background_hover_Color = get_option( 'kamy_background_hover_Color' );
	$default_color = '#000';
	$kamy_background_hover_Color = empty( $kamy_background_hover_Color ) ? $default_color : $kamy_background_hover_Color;
	?>
	<input type="color" name="kamy_background_hover_Color" id="kamy_background_hover_Color" class="kamy_color_picker" value="<?php echo esc_attr( $kamy_background_hover_Color ); ?>">
	<?php
}