<?php
/**
 * General Settings.
 *
 * Register settings and fields for general settings.
 *
 * @package  my-account-page-editor
 */

add_settings_section(
	'kamy_acc_settings_sec', // ID used to identify this section and with which to register options.
	__( 'General Settings', 'ka-my-acc' ),   // Title to be displayed on the administration page.
	'kamy_acc_settings_sec_cb', // Callback used to render the description of the section.
	'kamy_acc_settings_page'      // Page on which to add this section of options.
);

add_settings_field(
	'kamy_acc_set_ep_as_fld', // ID used to identify the field throughout the theme.
	esc_html__( 'Endpoints as:', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_set_ep_as_fld_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec', // The name of the section to which this field belongs.
	array(
		esc_html__( 'Select style for endpoint navigation.', 'addify_acr' ),
	)
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_set_ep_as_fld'
);

add_settings_field(
	'kamy_acc_enable_colors', // ID used to identify the field throughout the theme.
	esc_html__( 'Enable Custom Colors:', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_enable_colors_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec', // The name of the section to which this field belongs.
	array(
		esc_html__( 'Enable Custom Colors.', 'addify_acr' ),
	)
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_enable_colors'
);


add_settings_field(
	'kamy_acc_ep_bg_clr_fld', // ID used to identify the field throughout the theme.
	esc_html__( 'Endpoints Background Color', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_ep_bg_clr_fld_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_ep_bg_clr_fld'
);

add_settings_field(
	'kamy_acc_ep_clr_fld', // ID used to identify the field throughout the theme.
	esc_html__( 'Endpoints Foreground Color', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_ep_clr_fld_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_ep_clr_fld'
);

add_settings_field(
	'kamy_acc_ep_hover_bgclr_fld', // ID used to identify the field throughout the theme.
	esc_html__( 'Hover Background Color', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_ep_hover_bgclr_fld_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_ep_hover_bgclr_fld'
);

add_settings_field(
	'kamy_acc_ep_hover_clr_fld', // ID used to identify the field throughout the theme.
	esc_html__( 'Hover Color', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_ep_hover_clr_fld_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_ep_hover_clr_fld'
);

add_settings_field(
	'kamy_acc_set_ep_hide_fld', // ID used to identify the field throughout the theme.
	esc_html__( 'Hide Endpoints:', 'ka-my-acc' ), // The label to the left of the option interface element.
	'kamy_acc_set_ep_hide_fld_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_settings_page', // The page on which this option will be displayed.
	'kamy_acc_settings_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_settings',
	'kamy_acc_set_ep_hide_fld'
);

/**
 * Section callback.
 */
function kamy_acc_settings_sec_cb() {
}

/**
 * Section callback.
 *
 * @param array $args Arguments.
 */
function kamy_acc_set_ep_as_fld_callback( $args ) {
	$value = get_option('kamy_acc_set_ep_as_fld', 'theme');
	?>
	<div id="kamy_acc_set_ep_as_fld_wrapper">
		<input type="radio" name="kamy_acc_set_ep_as_fld" id="kamy_acc_set_ep_as_fld_theme" class="kamy_acc_set_ep_as_fld_wrapper" value="theme" <?php checked('theme', $value); ?> /> 
		<?php echo esc_html__('Theme Style (Inherits theme default style. Group endpoints are not compatible)', 'addify_acr'); ?>
		<br>
		<input type="radio" name="kamy_acc_set_ep_as_fld" class="kamy_acc_set_ep_as_fld_wrapper" id="kamy_acc_set_ep_as_fld_left_sidebar" value="left-sidebar" <?php checked('left-sidebar', $value); ?> /> 
		<?php echo esc_html__('Left Sidebar (Replaces menu with plugin custom style)', 'addify_acr'); ?>
		<br/>
		<input type="radio" name="kamy_acc_set_ep_as_fld" class="kamy_acc_set_ep_as_fld_wrapper" id="kamy_acc_set_ep_as_fld_right_sidebar" value="right-sidebar" <?php checked('right-sidebar', $value); ?> />
		<?php echo esc_html__('Right Sidebar (Replaces menu with plugin custom style)', 'addify_acr'); ?>
		<br/>
		<input type="radio" name="kamy_acc_set_ep_as_fld" class="kamy_acc_set_ep_as_fld_wrapper" id="kamy_acc_set_ep_as_fld_tab" value="tab" <?php checked('tab', $value); ?> />
		<?php echo esc_html__('Tabs  (Replaces menu with plugin custom style)', 'addify_acr'); ?>
		<p class="description afreg_additional_fields_section_title"><?php echo wp_kses_post($args[0]); ?></p>
		<p class="note"><b>
		<?php
		echo esc_html__( 'Note - The layout settings will not be applicable if dashboard is enabled.

', 'ka-my-acc' );
		?>
							</b></p>

		
	</div>
	<?php
}
/**
 * Endpoints background color.
 */
function kamy_acc_enable_colors_callback() {
	$checked = get_option('kamy_acc_enable_colors', 'no') === 'yes' ? 'checked' : '';
	?>
	<input type="checkbox" name="kamy_acc_enable_colors" id="kamy_acc_enable_colors" value="yes" class="kamy_acc_fields_length" <?php echo esc_attr($checked); ?>>
	<p class="description"><?php echo esc_html__('Enable  to customize the endpoints.', 'ka-my-acc'); ?></p>
	<?php
}



/**
 * Endpoints background color.
 */
function kamy_acc_ep_bg_clr_fld_callback() {
	?>
		<input type="color" name="kamy_acc_ep_bg_clr_fld" id="kamy_acc_ep_bg_clr_fld" class="kamy_acc_fields_lenght kamc_colors" value="<?php echo esc_attr( get_option( 'kamy_acc_ep_bg_clr_fld' ) ) ? esc_attr( get_option( 'kamy_acc_ep_bg_clr_fld' ) ) : ''; ?>">
		<p class="description"><?php echo esc_html__( 'Select background color of endpoints.', 'ka-my-acc' ); ?></p>
	<?php
}

/**
 * Endpoint fonts color.
 */
function kamy_acc_ep_clr_fld_callback() {

	?>

		<input type="color" name="kamy_acc_ep_clr_fld" id="kamy_acc_ep_clr_fld" class="kamy_acc_fields_lenght kamc_colors" value="<?php echo esc_attr( get_option( 'kamy_acc_ep_clr_fld' ) ) ? esc_attr( get_option( 'kamy_acc_ep_clr_fld' ) ) : ''; ?>">

		<p class="description"><?php echo esc_html__( 'Select foreground color of endpoints.', 'ka-my-acc' ); ?></p>

	<?php
}

/**
 * Hover background color field.
 */
function kamy_acc_ep_hover_bgclr_fld_callback() {
	?>
		<input type="color" name="kamy_acc_ep_hover_bgclr_fld" id="kamy_acc_ep_hover_bgclr_fld" class="kamy_acc_fields_lenght kamc_colors" value="<?php echo esc_attr( get_option( 'kamy_acc_ep_hover_bgclr_fld' ) ) ? esc_attr( get_option( 'kamy_acc_ep_hover_bgclr_fld' ) ) : ''; ?>">

		<p class="description"><?php echo esc_html__( 'Select background color when mouse hover.', 'ka-my-acc' ); ?></p>
	<?php
}

/**
 * Hover foreground color field.
 */
function kamy_acc_ep_hover_clr_fld_callback() {
	?>
		<input type="color" name="kamy_acc_ep_hover_clr_fld" id="kamy_acc_ep_hover_clr_fld" class="kamy_acc_fields_lenght kamc_colors" value="<?php echo esc_attr( get_option( 'kamy_acc_ep_hover_clr_fld' ) ) ? esc_attr( get_option( 'kamy_acc_ep_hover_clr_fld' ) ) : ''; ?>">

		<p class="description"><?php echo esc_html__( 'Select foreground color when mouse hover.', 'ka-my-acc' ); ?></p>
	<?php
}

/**
 * Section callback.
 */
function kamy_acc_set_ep_hide_fld_callback() {

	$kamy_acc_set_ep_hide_fld = (array) get_option( 'kamy_acc_set_ep_hide_fld' );

	$items = array(
		'dashboard'       => __( 'Dashboard', 'woocommerce' ),
		'orders'          => __( 'Orders', 'woocommerce' ),
		'downloads'       => __( 'Downloads', 'woocommerce' ),
		'edit-address'    => __( 'Addresses', 'woocommerce' ),
		'payment-methods' => __( 'Payment methods', 'woocommerce' ),
		'edit-account'    => __( 'Account details', 'woocommerce' ),
		'customer-logout' => __( 'Logout', 'woocommerce' ),
	);

	foreach ( $items as $key => $value ) {
		?>
		<input type="checkbox" name="kamy_acc_set_ep_hide_fld[]" value="<?php echo esc_attr( $key ); ?>" 
			<?php
			if ( in_array( esc_attr( $key ), $kamy_acc_set_ep_hide_fld, true ) ) {
				echo 'checked'; }
			?>
		><?php echo esc_attr( $value ); ?> 
		<br>

		<?php
	}
}
