<?php
/**
 * Sorting
 *
 * Registers Settings for sorting.
 *
 * @package  my-account-page-editor
 */

add_settings_section(
	'kamy_sorting_sec', // ID used to identify this section and with which to register options.
	__( 'Sort the Endpoints of My Account Page', 'ka-my-acc' ),  // Title to be displayed on the administration page.
	'', // Callback used to render the description of the section.
	'kamy_acc_pro_sort_enpoints_section'      // Page on which to add this section of options.
);

add_settings_field(
	'kamc_sorted_endponts', // ID used to identify the field throughout the theme.
	'', // The label to the left of the option interface element.
	'ka_sorting_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_pro_sort_enpoints_section', // The page on which this option will be displayed.
	'kamy_sorting_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_pro_sort_enpoints',
	'kamc_sorted_endponts'
);

add_settings_field(
	'kamc_sorted_child_endpoints', // ID used to identify the field throughout the theme.
	'', // The label to the left of the option interface element.
	'ka_child_sorting_callback',   // The name of the function responsible for rendering the option interface.
	'kamy_acc_pro_sort_enpoints_section', // The page on which this option will be displayed.
	'kamy_sorting_sec' // The name of the section to which this field belongs.
);

register_setting(
	'kamy_acc_pro_sort_enpoints',
	'kamc_sorted_child_endpoints'
);

/**
 * Callback.
 */
function ka_sorting_callback() {
}

/**
 * Callback.
 */
function ka_child_sorting_callback() {
}
