<?php
/**
 * Template setting.
 *
 * Register settings and fields for template settings.
 *
 * @package  my-account-page-editor
 */

add_settings_section(
	'kamy_template_settings_sec', // ID used to identify this section and with which to register options.
	__( 'Templates', 'ka-my-acc' ),   // Title to be displayed on the administration page.
	'kamy_template_settings_sec_cb', // Callback used to render the description of the section.
	'kamy_template_setting_page'      // Page on which to add this section of options.
);
add_settings_field(
	'kamy_chose_templates', 
	esc_html__( 'Choose Template:', 'ka-my-acc' ), 
	'kamy_template_fld_callback',  
	'kamy_template_setting_page', 
	'kamy_template_settings_sec'
);
register_setting(
	'kamy_template_setting', 'kamy_chose_templates');

function kamy_template_settings_sec_cb() {
}
function kamy_template_fld_callback() {
	$kamy_template_select = get_option( 'kamy_chose_templates', 'vertical-right-column' );
	?>
	<select name="kamy_chose_templates" id="kamy_chose_templates">
		<option value="vertical-right-column" <?php selected( $kamy_template_select, 'vertical-right-column' ); ?>><?php echo esc_html__( 'Vertical Right Column', 'ka-my-acc' ); ?></option>
		<option value="vertical-left-column" <?php selected( $kamy_template_select, 'vertical-left-column' ); ?>><?php echo esc_html__( 'Vertical Left Column', 'ka-my-acc' ); ?></option>
		<option value="vertical-middle-chart" <?php selected( $kamy_template_select, 'vertical-middle-chart' ); ?>><?php echo esc_html__( 'Vertical Middle Chart', 'ka-my-acc' ); ?></option>
	</select>
	<img id="templateImage" src="<?php echo esc_url( ADDMY_ACC_URL . 'assets/img/' . $kamy_template_select . '.png' ); ?>" alt="Template Image">
	<?php
}